
//Titel:        verschiedene Process Methodenaufrufe
//Version:
//Copyright:    Copyright (c) 2000
//Autor:       J.M.Joller
//Firma:      (C) J.M.Joller
//Beschreibung:  verschiedene Process Methodenaufrufe
package ProcessBeispiel;

import java.io.*;

public class ProcessAnwendungsbeispiel {
    public static void main(String[] args) {
        //
        try {
            String cmd = "cmd.exe /c FTYPE";
            Process child = Runtime.getRuntime().exec(cmd);
            InputStream in = child.getInputStream();
            int c;
            while ((c = in.read()) != -1) {
                System.out.print((char)c);
            }
            in.close();
            //
            try {
                child.waitFor();
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
            //
            System.out.println("child mit Status " + child.exitValue()+" abgeschlossen");
        } catch (IOException e) {
            System.err.println(e);
        }
    }
}