
//Titel:        waitFor : warten auf den Abschluss eines Child Prozesses
//Version:
//Copyright:    Copyright (c) 2000
//Autor:       J.M.Joller
//Firma:      (C) J.M.Joller
//Beschreibung:  waitFor : warten auf den Abschluss eines Child Prozesses
package waitFor;

import java.io.*;

class waitForBeispiel {
    public static void main(String[] args) {
        try {
            //String cmd = "ls"; // unix
            String cmd = "explorer.exe";
            Process child = Runtime.getRuntime().exec(cmd);
            // waitFor : warten bis der child Prozess abgeschlossen ist
            int status;
            try {
                System.out.println("Child : waitFor()");
                status = child.waitFor();
            } catch (InterruptedException e) {
                status = -1;
            }
            // exit Status des Child Prozesses
            if (status == 0)
                System.out.println("Prozess erfolgreich abgeschlossen.");
            else
                System.out.println("Prozess mit Status " + status+" beendet");
        } catch (IOException e) {
            System.err.println(e);
        }
    }
}